/{organizationId}/{mandateId}/booking/events/listList events
Returns a list of events for a given mandate
Required permissions:
mandate.read
event.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 500
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
fromDatedate-timeoptional toDatedate-timeoptional canceledbooleanoptional upcomingAvailabilitybooleanoptional passedAvailabilitybooleanoptional seatsAvailablebooleanoptional minItems: 1
maxItems: 20
searchTermstringoptional hasWaitlistbooleanoptional A stringified json object representing a property filter
groupbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"events": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"statistics": {
"attendees": 0,
"waitlisted": 0,
"offered": 0,
"pending": 0,
"confirmed": 0,
"canceled": 0,
"checkedIn": 0
},
"series": {
"id": "string",
"index": 0,
"total": 1,
"status": "active"
},
"info": {
"title": "string",
"description": "string",
"color": "",
"image": {
"resource": "string"
},
"place": {
"type": "resource"
},
"tags": "string",
"categories": [
{
"name": "string",
"nameNormalized": "string",
"bookingCategoryId": "000000000000000000000001"
}
]
},
"settings": {
"maxAttendees": 1,
"minAttendees": {
"count": 1,
"deadlineRelative": {
"value": 1,
"unit": "hours"
},
"deadline": null
},
"permanent": true,
"waitlist": {}
},
"offer": {
"mode": "disabled",
"offerName": "string",
"attendeeMode": "multiple",
"availability": {
"fromType": "anytime",
"fromDate": "2026-06-15T22:30:00Z",
"fromRelative": {
"value": 1,
"unit": "hours"
},
"from": null,
"toType": "start",
"toDate": "2026-06-15T22:30:00Z",
"toRelative": {
"value": 1,
"unit": "hours"
},
"to": null
},
"rates": [
{
"id": "string",
"name": "string",
"description": "string",
"availableFrom": {
"value": 1,
"unit": "hours"
},
"availableTo": {
"value": 1,
"unit": "hours"
},
"member": {
"tags": "string",
"tagsMode": "any",
"allMandates": false,
"perTicket": false
},
"charge": {
"type": "price",
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
},
"punchCard": {
"punchCard": "000000000000000000000001",
"punchCardName": "string",
"punchCardPrice": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
},
"points": 1
}
},
"standard": true,
"availableAmount": 1
}
],
"services": [
{
"service": "000000000000000000000001",
"serviceName": "string",
"serviceDescription": "string",
"serviceOptions": [
{
"id": "string",
"name": "string",
"description": "string",
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
}
}
],
"serviceMinOptions": 1,
"serviceMaxOptions": 1,
"availableAmount": 1
}
],
"bookingRestriction": "soldOut",
"permanent": {
"beforeStart": true,
"proRata": true
},
"displaySettings": {
"seatsAvailableThreshold": 0
}
},
"schedule": {
"rrule": "string",
"timezone": "string",
"meetBeforeMinutes": 0
},
"instructors": [
{
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
],
"period": {
"from": "2026-06-15T22:30:00Z",
"to": "2026-06-15T22:30:00Z",
"status": "available"
},
"cancelation": {
"canceledAt": "2026-06-15T22:30:00Z"
}
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}